TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RotateRows_ ( elt-mdl^mat X, elt-ord^rat i, elt-ord^rat l, elt-ord^rat r )

### Description

<shortdoc> Rotate rows i .. l up by r steps in matrix X. </shortdoc>

### Examples

x_m := Matrix(Z,3,2,[1,1,2,2,3,3]); RotateRows_(x_m, 1,2,1); x_m; x_m := Matrix(Z,3,2,[1,1,2,2,3,3]); RotateRows_(x_m, 1,3,1); x_m; x_m := Matrix(Z,3,2,[1,1,2,2,3,3]); RotateRows_(x_m, 1,3,2); x_m;

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack